/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/* This is a file defining my usual limits for a lot of general parameters */
#ifndef MY_LIMITS_H
#define MY_LIMITS_H

#define FILE_NAME_LENGTH 64		/* max length of the file names */
#define SERIAL_PORTS_MAX 16		/* maximum number of serial ports */
#define DATA_LINE_LENGTH 64		/* length of data line build with probe data (in char) */
#define SQL_PARAMETERS_STRINGS 64	/* max length of the sql parameters strings */
#define SHORT_STRING 32			/* max length of a short string, for various purposes */

typedef enum t_bool {FALSE, TRUE} boolean;

#endif

